Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 199870 - calc crash in format->Cell with several lines selected
Summary: calc crash in format->Cell with several lines selected
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: openoffice.org
Version: rawhide
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC6Target FC6Desktop
TreeView+ depends on / blocked
 
Reported: 2006-07-23 17:34 UTC by Nicolas Mailhot
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 2.0.3-7.6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-07-27 09:58:06 UTC


Attachments (Terms of Use)
Testcase (deleted)
2006-07-24 09:29 UTC, Nicolas Mailhot
no flags Details

Description Nicolas Mailhot 2006-07-23 17:34:31 UTC
(I) x.org loaded video driver of...
(II) Loading /usr/lib64/xorg/modules/drivers/nv_drv.so
(III) Desktop is: GNOME
(IV) libgcj version is: libgcj-4.1.1-9-x86_64libgcj-4.1.1-9-i386
(V) kernel is: Linux 2.6.17-1.2431.fc6 #1 SMP Thu Jul 20 22:34:40 EDT 2006
x86_64 x86_64 x86_64
(VI) OpenOffice.org core rpm version is: openoffice.org-core-2.0.3-7.5-x86_64
(VII) accessibility is: false
(VIII) fedora release is: Fedora Core release 5.90 (Test)
...start sestatus details ...
SELinux status:                 disabled
...end sestatus details ...
0xaf8f5fa8: /usr/lib64/openoffice.org2.0/program/libuno_sal.so.3 + 0x34fa8
0xaf8f6a2b: /usr/lib64/openoffice.org2.0/program/libuno_sal.so.3 + 0x35a2b
0x344331a0: /lib64/libc.so.6 + 0x331a0
0xb3b911f5: /usr/lib64/openoffice.org2.0/program/libbasegfx680lx.so + 0x351f5
0xb3b91202: /usr/lib64/openoffice.org2.0/program/libbasegfx680lx.so + 0x35202
0xb3b914b2: /usr/lib64/openoffice.org2.0/program/libbasegfx680lx.so + 0x354b2
0xb3b92655: /usr/lib64/openoffice.org2.0/program/libbasegfx680lx.so + 0x36655
(basegfx::tools::SolveCrossovers(basegfx::B2DPolyPolygon const&, bool) + 0x885)
0xb3b8c9d6: /usr/lib64/openoffice.org2.0/program/libbasegfx680lx.so + 0x309d6
(basegfx::tools::removeAllIntersections(basegfx::B2DPolyPolygon const&) + 0x16)
0xae77e0c5: /usr/lib64/openoffice.org2.0/program/libtl680lx.so + 0x440c5
(PolyPolygon::ImplDoOperation(PolyPolygon const&, PolyPolygon&, unsigned long)
const + 0x575)
0xac3cf8e4: /usr/lib64/openoffice.org2.0/program/libsvx680lx.so + 0x6618e4
(svx::FrameBorder::AddFocusPolygon(Polygon const&) + 0x44)
0xac3d2e46: /usr/lib64/openoffice.org2.0/program/libsvx680lx.so + 0x664e46
(svx::FrameSelectorImpl::InitBorderGeometry() + 0x836)
0xac3d498f: /usr/lib64/openoffice.org2.0/program/libsvx680lx.so + 0x66698f
(svx::FrameSelectorImpl::InitVirtualDevice() + 0x2f)
0xac3d4afc: /usr/lib64/openoffice.org2.0/program/libsvx680lx.so + 0x666afc
(svx::FrameSelectorImpl::Initialize(int) + 0xdc)
0xac3d4c18: /usr/lib64/openoffice.org2.0/program/libsvx680lx.so + 0x666c18
(svx::FrameSelector::Initialize(int) + 0x18)
0xc983760d: /usr/lib64/openoffice.org2.0/program/libcui680lx.so + 0x1fd60d
0xc9837b95: /usr/lib64/openoffice.org2.0/program/libcui680lx.so + 0x1fdb95
0xb1c35f8d: /usr/lib64/openoffice.org2.0/program/libsfx680lx.so + 0x3ecf8d
(SfxTabDialog::ActivatePageHdl(TabControl*) + 0x36d)
0xb1c360f7: /usr/lib64/openoffice.org2.0/program/libsfx680lx.so + 0x3ed0f7
(SfxTabDialog::Start_Impl() + 0xc7)
0xb1c36257: /usr/lib64/openoffice.org2.0/program/libsfx680lx.so + 0x3ed257
(SfxTabDialog::Execute() + 0x27)
0xc93d78d1: /usr/lib64/openoffice.org2.0/program/libscui680lx.so + 0x328d1
0xab2d7d4d: /usr/lib64/openoffice.org2.0/program/libsc680lx.so + 0x5ccd4d
(ScTabViewShell::ExecuteCellFormatDlg(SfxRequest&, unsigned short) + 0x21d)
0xab3455fb: /usr/lib64/openoffice.org2.0/program/libsc680lx.so + 0x63a5fb
(ScCellShell::Execute(SfxRequest&) + 0x1c3b)
0xb1b860e6: /usr/lib64/openoffice.org2.0/program/libsfx680lx.so + 0x33d0e6
(SfxDispatcher::Call_Impl(SfxShell&, SfxSlot const&, SfxRequest&, unsigned char)
+ 0x276)
0xb1b7adca: /usr/lib64/openoffice.org2.0/program/libsfx680lx.so + 0x331dca
(SfxBindings::Execute_Impl(SfxRequest&, SfxSlot const*, SfxShell*) + 0x7a)
0xb1ba323a: /usr/lib64/openoffice.org2.0/program/libsfx680lx.so + 0x35a23a
(SfxDispatchController_Impl::dispatch(com::sun::star::util::URL const&,
com::sun::star::uno::Sequence<com::sun::star::beans::PropertyValue> const&,
com::sun::star::uno::Reference<com::sun::star::frame::XDispatchResultListener>
const&) + 0x113a)
0xb1ba3bb1: /usr/lib64/openoffice.org2.0/program/libsfx680lx.so + 0x35abb1
(SfxOfficeDispatch::dispatch(com::sun::star::util::URL const&,
com::sun::star::uno::Sequence<com::sun::star::beans::PropertyValue> const&) + 0x141)
0xb25dab45: /usr/lib64/openoffice.org2.0/program/libfwk680lx.so + 0x143b45
0xad68870e: /usr/lib64/openoffice.org2.0/program/libvcl680lx.so + 0x28370e
(Menu::Select() + 0x3e)
0xad6842a5: /usr/lib64/openoffice.org2.0/program/libvcl680lx.so + 0x27f2a5
(Menu::ImplCallSelect(Menu*) + 0x15)
0xad6e5981: /usr/lib64/openoffice.org2.0/program/libvcl680lx.so + 0x2e0981
(ImplWindowFrameProc(void*, SalFrame*, unsigned short, void const*) + 0x6d1)
0xb9ba8787: /usr/lib64/openoffice.org2.0/program/libvclplug_gen680lx.so +
0x67787 (SalDisplay::DispatchInternalEvent() + 0xb7)
0xb96f1886: /usr/lib64/openoffice.org2.0/program/libvclplug_gtk680lx.so +
0x1e886 (GtkXLib::userEventFn(void*) + 0xb6)
0xb558df34: /lib64/libglib-2.0.so.0 + 0x2cf34 (g_main_context_dispatch + 0x1b4)
0xb5590d6d: /lib64/libglib-2.0.so.0 + 0x2fd6d
0xb559129e: /lib64/libglib-2.0.so.0 + 0x3029e (g_main_context_iteration + 0x6e)
0xb96f1d7f: /usr/lib64/openoffice.org2.0/program/libvclplug_gtk680lx.so +
0x1ed7f (GtkXLib::Yield(unsigned char) + 0xaf)
0xad528bbd: /usr/lib64/openoffice.org2.0/program/libvcl680lx.so + 0x123bbd
(Application::Yield() + 0x4d)
0xad528c58: /usr/lib64/openoffice.org2.0/program/libvcl680lx.so + 0x123c58
(Application::Execute() + 0x28)
0xaaad9c75: /usr/lib64/openoffice.org2.0/program/libsoffice.so + 0x2cc75
(desktop::Desktop::Main() + 0x1455)
0xad52db22: /usr/lib64/openoffice.org2.0/program/libvcl680lx.so + 0x128b22
(ImplSVMain() + 0xe2)
0xad52dc05: /usr/lib64/openoffice.org2.0/program/libvcl680lx.so + 0x128c05
(SVMain() + 0x25)
0xaaacd1e6: /usr/lib64/openoffice.org2.0/program/libsoffice.so + 0x201e6
(sal_main + 0x46)
0x34420aa4: /lib64/libc.so.6 + 0x20aa4 (__libc_start_main + 0xf4)
0x400619: /usr/lib64/openoffice.org2.0/program/scalc.bin + 0x619(I) x.org loaded
video driver of...
(II) Loading /usr/lib64/xorg/modules/drivers/nv_drv.so
(III) Desktop is: GNOME
(IV) libgcj version is: libgcj-4.1.1-9-x86_64libgcj-4.1.1-9-i386
(V) kernel is: Linux 2.6.17-1.2431.fc6 #1 SMP Thu Jul 20 22:34:40 EDT 2006
x86_64 x86_64 x86_64
(VI) OpenOffice.org core rpm version is: openoffice.org-core-2.0.3-7.5-x86_64
(VII) accessibility is: false
(VIII) fedora release is: Fedora Core release 5.90 (Test)
...start sestatus details ...
SELinux status:                 disabled
...end sestatus details ...
0xaf8f5fa8: /usr/lib64/openoffice.org2.0/program/libuno_sal.so.3 + 0x34fa8
0xaf8f6a2b: /usr/lib64/openoffice.org2.0/program/libuno_sal.so.3 + 0x35a2b
0x344331a0: /lib64/libc.so.6 + 0x331a0
0xb3b911f5: /usr/lib64/openoffice.org2.0/program/libbasegfx680lx.so + 0x351f5
0xb3b91202: /usr/lib64/openoffice.org2.0/program/libbasegfx680lx.so + 0x35202
0xb3b914b2: /usr/lib64/openoffice.org2.0/program/libbasegfx680lx.so + 0x354b2
0xb3b92655: /usr/lib64/openoffice.org2.0/program/libbasegfx680lx.so + 0x36655
(basegfx::tools::SolveCrossovers(basegfx::B2DPolyPolygon const&, bool) + 0x885)
0xb3b8c9d6: /usr/lib64/openoffice.org2.0/program/libbasegfx680lx.so + 0x309d6
(basegfx::tools::removeAllIntersections(basegfx::B2DPolyPolygon const&) + 0x16)
0xae77e0c5: /usr/lib64/openoffice.org2.0/program/libtl680lx.so + 0x440c5
(PolyPolygon::ImplDoOperation(PolyPolygon const&, PolyPolygon&, unsigned long)
const + 0x575)
0xac3cf8e4: /usr/lib64/openoffice.org2.0/program/libsvx680lx.so + 0x6618e4
(svx::FrameBorder::AddFocusPolygon(Polygon const&) + 0x44)
0xac3d2e46: /usr/lib64/openoffice.org2.0/program/libsvx680lx.so + 0x664e46
(svx::FrameSelectorImpl::InitBorderGeometry() + 0x836)
0xac3d498f: /usr/lib64/openoffice.org2.0/program/libsvx680lx.so + 0x66698f
(svx::FrameSelectorImpl::InitVirtualDevice() + 0x2f)
0xac3d4afc: /usr/lib64/openoffice.org2.0/program/libsvx680lx.so + 0x666afc
(svx::FrameSelectorImpl::Initialize(int) + 0xdc)
0xac3d4c18: /usr/lib64/openoffice.org2.0/program/libsvx680lx.so + 0x666c18
(svx::FrameSelector::Initialize(int) + 0x18)
0xc983760d: /usr/lib64/openoffice.org2.0/program/libcui680lx.so + 0x1fd60d
0xc9837b95: /usr/lib64/openoffice.org2.0/program/libcui680lx.so + 0x1fdb95
0xb1c35f8d: /usr/lib64/openoffice.org2.0/program/libsfx680lx.so + 0x3ecf8d
(SfxTabDialog::ActivatePageHdl(TabControl*) + 0x36d)
0xb1c360f7: /usr/lib64/openoffice.org2.0/program/libsfx680lx.so + 0x3ed0f7
(SfxTabDialog::Start_Impl() + 0xc7)
0xb1c36257: /usr/lib64/openoffice.org2.0/program/libsfx680lx.so + 0x3ed257
(SfxTabDialog::Execute() + 0x27)
0xc93d78d1: /usr/lib64/openoffice.org2.0/program/libscui680lx.so + 0x328d1
0xab2d7d4d: /usr/lib64/openoffice.org2.0/program/libsc680lx.so + 0x5ccd4d
(ScTabViewShell::ExecuteCellFormatDlg(SfxRequest&, unsigned short) + 0x21d)
0xab3455fb: /usr/lib64/openoffice.org2.0/program/libsc680lx.so + 0x63a5fb
(ScCellShell::Execute(SfxRequest&) + 0x1c3b)
0xb1b860e6: /usr/lib64/openoffice.org2.0/program/libsfx680lx.so + 0x33d0e6
(SfxDispatcher::Call_Impl(SfxShell&, SfxSlot const&, SfxRequest&, unsigned char)
+ 0x276)
0xb1b7adca: /usr/lib64/openoffice.org2.0/program/libsfx680lx.so + 0x331dca
(SfxBindings::Execute_Impl(SfxRequest&, SfxSlot const*, SfxShell*) + 0x7a)
0xb1ba323a: /usr/lib64/openoffice.org2.0/program/libsfx680lx.so + 0x35a23a
(SfxDispatchController_Impl::dispatch(com::sun::star::util::URL const&,
com::sun::star::uno::Sequence<com::sun::star::beans::PropertyValue> const&,
com::sun::star::uno::Reference<com::sun::star::frame::XDispatchResultListener>
const&) + 0x113a)
0xb1ba3bb1: /usr/lib64/openoffice.org2.0/program/libsfx680lx.so + 0x35abb1
(SfxOfficeDispatch::dispatch(com::sun::star::util::URL const&,
com::sun::star::uno::Sequence<com::sun::star::beans::PropertyValue> const&) + 0x141)
0xb25dab45: /usr/lib64/openoffice.org2.0/program/libfwk680lx.so + 0x143b45
0xad68870e: /usr/lib64/openoffice.org2.0/program/libvcl680lx.so + 0x28370e
(Menu::Select() + 0x3e)
0xad6842a5: /usr/lib64/openoffice.org2.0/program/libvcl680lx.so + 0x27f2a5
(Menu::ImplCallSelect(Menu*) + 0x15)
0xad6e5981: /usr/lib64/openoffice.org2.0/program/libvcl680lx.so + 0x2e0981
(ImplWindowFrameProc(void*, SalFrame*, unsigned short, void const*) + 0x6d1)
0xb9ba8787: /usr/lib64/openoffice.org2.0/program/libvclplug_gen680lx.so +
0x67787 (SalDisplay::DispatchInternalEvent() + 0xb7)
0xb96f1886: /usr/lib64/openoffice.org2.0/program/libvclplug_gtk680lx.so +
0x1e886 (GtkXLib::userEventFn(void*) + 0xb6)
0xb558df34: /lib64/libglib-2.0.so.0 + 0x2cf34 (g_main_context_dispatch + 0x1b4)
0xb5590d6d: /lib64/libglib-2.0.so.0 + 0x2fd6d
0xb559129e: /lib64/libglib-2.0.so.0 + 0x3029e (g_main_context_iteration + 0x6e)
0xb96f1d7f: /usr/lib64/openoffice.org2.0/program/libvclplug_gtk680lx.so +
0x1ed7f (GtkXLib::Yield(unsigned char) + 0xaf)
0xad528bbd: /usr/lib64/openoffice.org2.0/program/libvcl680lx.so + 0x123bbd
(Application::Yield() + 0x4d)
0xad528c58: /usr/lib64/openoffice.org2.0/program/libvcl680lx.so + 0x123c58
(Application::Execute() + 0x28)
0xaaad9c75: /usr/lib64/openoffice.org2.0/program/libsoffice.so + 0x2cc75
(desktop::Desktop::Main() + 0x1455)
0xad52db22: /usr/lib64/openoffice.org2.0/program/libvcl680lx.so + 0x128b22
(ImplSVMain() + 0xe2)
0xad52dc05: /usr/lib64/openoffice.org2.0/program/libvcl680lx.so + 0x128c05
(SVMain() + 0x25)
0xaaacd1e6: /usr/lib64/openoffice.org2.0/program/libsoffice.so + 0x201e6
(sal_main + 0x46)
0x34420aa4: /lib64/libc.so.6 + 0x20aa4 (__libc_start_main + 0xf4)
0x400619: /usr/lib64/openoffice.org2.0/program/scalc.bin + 0x619

Comment 1 Caolan McNamara 2006-07-24 08:10:25 UTC
Do you know how to reproduce this ?

Comment 2 Nicolas Mailhot 2006-07-24 09:29:58 UTC
Created attachment 132908 [details]
Testcase

Well, since you ask here is the document on which it happens
Select lines 299-315 (probably works with others), do Format->Cell

(my sooper sekret cd list :) )

Comment 3 Caolan McNamara 2006-07-24 10:09:26 UTC
Hmm, it appears to be format->cell->border on any cell, even an empty one on x86_64

Comment 4 Caolan McNamara 2006-07-24 10:19:12 UTC
A crash in "basegfx::tools::StripDispensablePolygons" which goes away when
compiled with debugging. Brillant, not.

Comment 5 Caolan McNamara 2006-07-24 10:35:53 UTC
Appears to be some sort of gcc bug, I'll try and workaround.

Comment 6 Caolan McNamara 2006-07-27 09:58:06 UTC
That seemed to work, should be good on x86_64 in 2.0.3-7.6


Note You need to log in before you can comment on or make changes to this bug.